We have detected that cookies are not enabled on your browser. Please enable cookies to ensure the proper experience.
Results 1 to 2 of 2
  1. #1

    LOTRO Store "An Expected Error Occurred". Yosemite IOS update



    Hello there!

    Anyone have similar problems after the newest ios was updated? Not sure if this was the cause. Ever since the new update, i cant access the store and keeps showing the same error. Help is greatly appreciated! Ty

  2. #2
    Quote Originally Posted by Rheiin View Post
    Anyone have similar problems after the newest ios was updated?
    Yes, this has been documented by intrepid Mac LOTRO players a few times as noted in the following threads:

    MAC OS 10.10 Yosemite
    LOTRO Store and Yosemite (Mac OS X 10.10)

    There has been zero communication on this from the game developer. It was more of a Mac OS X upgrade than a IOS upgrade, but I think we get the idea. Hopefully, the folks who work for Turbine will become a little more communicative on this particular issue in the near future (at least an acknowledgement of the problem or a potential timetable for a fix).

    Good luck, safe travels!

 

 

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

This form's session has expired. You need to reload the page.

Reload